Subject: bug#13646: Whitespace support for file/mode-specific styles and actions

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 18 Sep 2020 16:38:11 +0200

Christopher Schmidt <[email-masked]> writes:

>>> I really would much rather improve the generic settings code.
>>
>> I understand. Looks like a lot of work though, and in the meantime, I
>> don't think it hurts to have a workaround, even package-specific.
>
> -1
>
> Having three user options that take precedence upon each other, with a
> subset of them being safe local variables, is scary.  This can break
> regular user setups and third party packages big time.  Even worse, the
> work around your workaround is not trivial.
>
> I do not see any need for such an intrusive change in the first place.
> You can easily implement what you did there using find-file-hook,
> after-change-major-mode-hook in combination with an independent global
> minor mode.

It seems like there was little enthusiasm for this feature --
Christopher sums up the objections well, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no